API Reference
Update channel
Update a contact’s channel properties.
PATCH
/
v1
/
contacts
/
{contactId}
/
channels
/
{channelId}
Update channel
curl --request PATCH \
--url https://api.zavu.dev/v1/contacts/{contactId}/channels/{channelId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"verified": true,
"metadata": {}
}
'import requests
url = "https://api.zavu.dev/v1/contacts/{contactId}/channels/{channelId}"
payload = {
"label": "<string>",
"verified": True,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: '<string>', verified: true, metadata: {}})
};
fetch('https://api.zavu.dev/v1/contacts/{contactId}/channels/{channelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"channel": {
"id": "<string>",
"identifier": "+14155551234",
"isPrimary": true,
"verified": true,
"createdAt": "2023-11-07T05:31:56Z",
"countryCode": "US",
"label": "work",
"metrics": {
"successCount": 123,
"failureCount": 123,
"totalAttempts": 123,
"avgDeliveryTimeMs": 123,
"lastSuccessAt": "2023-11-07T05:31:56Z"
},
"lastInboundAt": "2023-11-07T05:31:56Z",
"metadata": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Channel updated.
A communication channel for a contact.
Show child attributes
Show child attributes
⌘I
Update channel
